Get last error message for the most recent function call

- « cubrid_error_code

- cubrid_execute »

- PHP Manual
- CUBRID Functions
- Get last error message for the most recent function call

# cubrid_error_msg

(PECL CUBRID >= 8.3.0)

cubrid_error_msg — Get last error message for the most recent function call

### Description

cubrid_error_msg(): string

The cubrid_error_msg() function is used to get the error message that occurred during the use of CUBRID API. Usually, it gets error message when API returns false as its return value.

### Parameters

This function has no parameters.

### Return Values

Error message that occurred.

### Examples

Example #1 cubrid_error_msg() example

    <?php$conn = cubrid_connect("localhost", 33000, "demodb");if (!@cubrid_schema($conn, 100000)) {    printf("Error facility: %d\nError code: %d\nError msg: %s\n",         cubrid_error_code_facility(), cubrid_error_code(), cubrid_error_msg());    cubrid_disconnect($conn);    exit;}?>

The above example will output:

    Error facility: 2
    Error code: -10015
    Error msg: Invalid T_CCI_SCH_TYPE value

### See Also

- cubrid_error_code() - Get error code for the most recent function call
- cubrid_error_code_facility() - Get the facility code of error